/**
 * Copyright (c) 2011, 2015 - Lunifera GmbH (Gross Enzersdorf), Loetz GmbH&Co.KG (Heidelberg)
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0 
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *         Florian Pirchner - Initial implementation
 *
 * generated by Xtext 2.11.0 
 */
package org.eclipse.osbp.dsl.services.xtext.ide.contentassist.antlr;

import com.google.inject.Inject;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.osbp.dsl.services.xtext.ide.contentassist.antlr.internal.InternalServicesGrammarParser;
import org.eclipse.osbp.dsl.services.xtext.services.ServicesGrammarGrammarAccess;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ide.editor.contentassist.antlr.AbstractContentAssistParser;

public class ServicesGrammarParser extends AbstractContentAssistParser {

	@Inject
	private ServicesGrammarGrammarAccess grammarAccess;

	private Map<AbstractElement, String> nameMappings;

	@Override
	protected InternalServicesGrammarParser createParser() {
		InternalServicesGrammarParser result = new InternalServicesGrammarParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}

	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getTypeAccess().getAlternatives(), "rule__Type__Alternatives");
					put(grammarAccess.getDataTypeAccess().getAlternatives_2(), "rule__DataType__Alternatives_2");
					put(grammarAccess.getAllConstraintsAccess().getAlternatives(), "rule__AllConstraints__Alternatives");
					put(grammarAccess.getDataTypeConstraintAccess().getAlternatives(), "rule__DataTypeConstraint__Alternatives");
					put(grammarAccess.getDateConstraintAccess().getAlternatives(), "rule__DateConstraint__Alternatives");
					put(grammarAccess.getBlobTypeConstraintAccess().getAlternatives(), "rule__BlobTypeConstraint__Alternatives");
					put(grammarAccess.getScalarTypeAccess().getAlternatives(), "rule__ScalarType__Alternatives");
					put(grammarAccess.getEnumLiteralAccess().getAlternatives_2_1(), "rule__EnumLiteral__Alternatives_2_1");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getAlternatives_2(), "rule__AttributeMatchingConstraint__Alternatives_2");
					put(grammarAccess.getValidIDWithKeywordsAccess().getAlternatives(), "rule__ValidIDWithKeywords__Alternatives");
					put(grammarAccess.getLIntAccess().getAlternatives_0(), "rule__LInt__Alternatives_0");
					put(grammarAccess.getXImportDeclarationAccess().getAlternatives_2(), "rule__XImportDeclaration__Alternatives_2");
					put(grammarAccess.getXImportDeclarationAccess().getAlternatives_2_0_3(), "rule__XImportDeclaration__Alternatives_2_0_3");
					put(grammarAccess.getXAnnotationAccess().getAlternatives_3_1(), "rule__XAnnotation__Alternatives_3_1");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getAlternatives(), "rule__XAnnotationElementValueOrCommaList__Alternatives");
					put(grammarAccess.getXAnnotationElementValueAccess().getAlternatives(), "rule__XAnnotationElementValue__Alternatives");
					put(grammarAccess.getXAnnotationOrExpressionAccess().getAlternatives(), "rule__XAnnotationOrExpression__Alternatives");
					put(grammarAccess.getXAssignmentAccess().getAlternatives(), "rule__XAssignment__Alternatives");
					put(grammarAccess.getOpMultiAssignAccess().getAlternatives(), "rule__OpMultiAssign__Alternatives");
					put(grammarAccess.getOpEqualityAccess().getAlternatives(), "rule__OpEquality__Alternatives");
					put(grammarAccess.getXRelationalExpressionAccess().getAlternatives_1(), "rule__XRelationalExpression__Alternatives_1");
					put(grammarAccess.getOpCompareAccess().getAlternatives(), "rule__OpCompare__Alternatives");
					put(grammarAccess.getOpOtherAccess().getAlternatives(), "rule__OpOther__Alternatives");
					put(grammarAccess.getOpOtherAccess().getAlternatives_5_1(), "rule__OpOther__Alternatives_5_1");
					put(grammarAccess.getOpOtherAccess().getAlternatives_6_1(), "rule__OpOther__Alternatives_6_1");
					put(grammarAccess.getOpAddAccess().getAlternatives(), "rule__OpAdd__Alternatives");
					put(grammarAccess.getOpMultiAccess().getAlternatives(), "rule__OpMulti__Alternatives");
					put(grammarAccess.getXUnaryOperationAccess().getAlternatives(), "rule__XUnaryOperation__Alternatives");
					put(grammarAccess.getOpUnaryAccess().getAlternatives(), "rule__OpUnary__Alternatives");
					put(grammarAccess.getOpPostfixAccess().getAlternatives(), "rule__OpPostfix__Alternatives");
					put(grammarAccess.getXMemberFeatureCallAccess().getAlternatives_1(), "rule__XMemberFeatureCall__Alternatives_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getAlternatives_1_0_0_0_1(), "rule__XMemberFeatureCall__Alternatives_1_0_0_0_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getAlternatives_1_1_0_0_1(), "rule__XMemberFeatureCall__Alternatives_1_1_0_0_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getAlternatives_1_1_3_1(), "rule__XMemberFeatureCall__Alternatives_1_1_3_1");
					put(grammarAccess.getXPrimaryExpressionAccess().getAlternatives(), "rule__XPrimaryExpression__Alternatives");
					put(grammarAccess.getXLiteralAccess().getAlternatives(), "rule__XLiteral__Alternatives");
					put(grammarAccess.getXCollectionLiteralAccess().getAlternatives(), "rule__XCollectionLiteral__Alternatives");
					put(grammarAccess.getXSwitchExpressionAccess().getAlternatives_2(), "rule__XSwitchExpression__Alternatives_2");
					put(grammarAccess.getXCasePartAccess().getAlternatives_3(), "rule__XCasePart__Alternatives_3");
					put(grammarAccess.getXExpressionOrVarDeclarationAccess().getAlternatives(), "rule__XExpressionOrVarDeclaration__Alternatives");
					put(grammarAccess.getXVariableDeclarationAccess().getAlternatives_1(), "rule__XVariableDeclaration__Alternatives_1");
					put(grammarAccess.getXVariableDeclarationAccess().getAlternatives_2(), "rule__XVariableDeclaration__Alternatives_2");
					put(grammarAccess.getXFeatureCallAccess().getAlternatives_3_1(), "rule__XFeatureCall__Alternatives_3_1");
					put(grammarAccess.getFeatureCallIDAccess().getAlternatives(), "rule__FeatureCallID__Alternatives");
					put(grammarAccess.getIdOrSuperAccess().getAlternatives(), "rule__IdOrSuper__Alternatives");
					put(grammarAccess.getXConstructorCallAccess().getAlternatives_4_1(), "rule__XConstructorCall__Alternatives_4_1");
					put(grammarAccess.getXBooleanLiteralAccess().getAlternatives_1(), "rule__XBooleanLiteral__Alternatives_1");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getAlternatives_3(), "rule__XTryCatchFinallyExpression__Alternatives_3");
					put(grammarAccess.getNumberAccess().getAlternatives(), "rule__Number__Alternatives");
					put(grammarAccess.getNumberAccess().getAlternatives_1_0(), "rule__Number__Alternatives_1_0");
					put(grammarAccess.getNumberAccess().getAlternatives_1_1_1(), "rule__Number__Alternatives_1_1_1");
					put(grammarAccess.getJvmTypeReferenceAccess().getAlternatives(), "rule__JvmTypeReference__Alternatives");
					put(grammarAccess.getJvmArgumentTypeReferenceAccess().getAlternatives(), "rule__JvmArgumentTypeReference__Alternatives");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getAlternatives_2(), "rule__JvmWildcardTypeReference__Alternatives_2");
					put(grammarAccess.getCardinalityAccess().getAlternatives(), "rule__Cardinality__Alternatives");
					put(grammarAccess.getConstraintSeverityAccess().getAlternatives(), "rule__ConstraintSeverity__Alternatives");
					put(grammarAccess.getDateTypeAccess().getAlternatives(), "rule__DateType__Alternatives");
					put(grammarAccess.getLVisibilityAccess().getAlternatives(), "rule__LVisibility__Alternatives");
					put(grammarAccess.getLComparatorTypeAccess().getAlternatives(), "rule__LComparatorType__Alternatives");
					put(grammarAccess.getLowerBoundAccess().getAlternatives(), "rule__LowerBound__Alternatives");
					put(grammarAccess.getUpperBoundAccess().getAlternatives(), "rule__UpperBound__Alternatives");
					put(grammarAccess.getLServiceModelAccess().getGroup(), "rule__LServiceModel__Group__0");
					put(grammarAccess.getClassAccess().getGroup(), "rule__Class__Group__0");
					put(grammarAccess.getClassAccess().getGroup_8(), "rule__Class__Group_8__0");
					put(grammarAccess.getInjectedServicesAccess().getGroup(), "rule__InjectedServices__Group__0");
					put(grammarAccess.getInjectedServiceAccess().getGroup(), "rule__InjectedService__Group__0");
					put(grammarAccess.getFilterableAttributesAccess().getGroup(), "rule__FilterableAttributes__Group__0");
					put(grammarAccess.getFilterableAttributesAccess().getGroup_3(), "rule__FilterableAttributes__Group_3__0");
					put(grammarAccess.getSortableAttributesAccess().getGroup(), "rule__SortableAttributes__Group__0");
					put(grammarAccess.getSortableAttributesAccess().getGroup_3(), "rule__SortableAttributes__Group_3__0");
					put(grammarAccess.getOperationAccess().getGroup(), "rule__Operation__Group__0");
					put(grammarAccess.getOperationAccess().getGroup_2(), "rule__Operation__Group_2__0");
					put(grammarAccess.getOperationAccess().getGroup_2_4(), "rule__Operation__Group_2_4__0");
					put(grammarAccess.getOperationAccess().getGroup_2_4_1(), "rule__Operation__Group_2_4_1__0");
					put(grammarAccess.getTypedPackageAccess().getGroup(), "rule__TypedPackage__Group__0");
					put(grammarAccess.getTypedPackageAccess().getGroup_3(), "rule__TypedPackage__Group_3__0");
					put(grammarAccess.getDataTypeAccess().getGroup(), "rule__DataType__Group__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_0(), "rule__DataType__Group_2_0__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_0_4(), "rule__DataType__Group_2_0_4__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_0_4_3(), "rule__DataType__Group_2_0_4_3__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_1(), "rule__DataType__Group_2_1__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_1_3(), "rule__DataType__Group_2_1_3__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_1_3_3(), "rule__DataType__Group_2_1_3_3__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_2(), "rule__DataType__Group_2_2__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_2_2(), "rule__DataType__Group_2_2_2__0");
					put(grammarAccess.getDataTypeAccess().getGroup_2_2_2_3(), "rule__DataType__Group_2_2_2_3__0");
					put(grammarAccess.getDtCAssertFalseAccess().getGroup(), "rule__DtCAssertFalse__Group__0");
					put(grammarAccess.getDtCAssertFalseAccess().getGroup_2(), "rule__DtCAssertFalse__Group_2__0");
					put(grammarAccess.getDtCAssertFalseAccess().getGroup_2_1_0(), "rule__DtCAssertFalse__Group_2_1_0__0");
					put(grammarAccess.getDtCAssertFalseAccess().getGroup_2_1_1(), "rule__DtCAssertFalse__Group_2_1_1__0");
					put(grammarAccess.getDtCAssertFalseAccess().getGroup_2_1_2(), "rule__DtCAssertFalse__Group_2_1_2__0");
					put(grammarAccess.getDtCAssertTrueAccess().getGroup(), "rule__DtCAssertTrue__Group__0");
					put(grammarAccess.getDtCAssertTrueAccess().getGroup_2(), "rule__DtCAssertTrue__Group_2__0");
					put(grammarAccess.getDtCAssertTrueAccess().getGroup_2_1_0(), "rule__DtCAssertTrue__Group_2_1_0__0");
					put(grammarAccess.getDtCAssertTrueAccess().getGroup_2_1_1(), "rule__DtCAssertTrue__Group_2_1_1__0");
					put(grammarAccess.getDtCAssertTrueAccess().getGroup_2_1_2(), "rule__DtCAssertTrue__Group_2_1_2__0");
					put(grammarAccess.getDtCDecimalMaxAccess().getGroup(), "rule__DtCDecimalMax__Group__0");
					put(grammarAccess.getDtCDecimalMaxAccess().getGroup_4(), "rule__DtCDecimalMax__Group_4__0");
					put(grammarAccess.getDtCDecimalMaxAccess().getGroup_4_1_0(), "rule__DtCDecimalMax__Group_4_1_0__0");
					put(grammarAccess.getDtCDecimalMaxAccess().getGroup_4_1_1(), "rule__DtCDecimalMax__Group_4_1_1__0");
					put(grammarAccess.getDtCDecimalMaxAccess().getGroup_4_1_2(), "rule__DtCDecimalMax__Group_4_1_2__0");
					put(grammarAccess.getDtCDecimalMinAccess().getGroup(), "rule__DtCDecimalMin__Group__0");
					put(grammarAccess.getDtCDecimalMinAccess().getGroup_4(), "rule__DtCDecimalMin__Group_4__0");
					put(grammarAccess.getDtCDecimalMinAccess().getGroup_4_1_0(), "rule__DtCDecimalMin__Group_4_1_0__0");
					put(grammarAccess.getDtCDecimalMinAccess().getGroup_4_1_1(), "rule__DtCDecimalMin__Group_4_1_1__0");
					put(grammarAccess.getDtCDecimalMinAccess().getGroup_4_1_2(), "rule__DtCDecimalMin__Group_4_1_2__0");
					put(grammarAccess.getDtCDigitsAccess().getGroup(), "rule__DtCDigits__Group__0");
					put(grammarAccess.getDtCDigitsAccess().getGroup_6(), "rule__DtCDigits__Group_6__0");
					put(grammarAccess.getDtCDigitsAccess().getGroup_6_1_0(), "rule__DtCDigits__Group_6_1_0__0");
					put(grammarAccess.getDtCDigitsAccess().getGroup_6_1_1(), "rule__DtCDigits__Group_6_1_1__0");
					put(grammarAccess.getDtCDigitsAccess().getGroup_6_1_2(), "rule__DtCDigits__Group_6_1_2__0");
					put(grammarAccess.getDtCFutureAccess().getGroup(), "rule__DtCFuture__Group__0");
					put(grammarAccess.getDtCFutureAccess().getGroup_2(), "rule__DtCFuture__Group_2__0");
					put(grammarAccess.getDtCFutureAccess().getGroup_2_1_0(), "rule__DtCFuture__Group_2_1_0__0");
					put(grammarAccess.getDtCFutureAccess().getGroup_2_1_1(), "rule__DtCFuture__Group_2_1_1__0");
					put(grammarAccess.getDtCFutureAccess().getGroup_2_1_2(), "rule__DtCFuture__Group_2_1_2__0");
					put(grammarAccess.getDtCPastAccess().getGroup(), "rule__DtCPast__Group__0");
					put(grammarAccess.getDtCPastAccess().getGroup_2(), "rule__DtCPast__Group_2__0");
					put(grammarAccess.getDtCPastAccess().getGroup_2_1_0(), "rule__DtCPast__Group_2_1_0__0");
					put(grammarAccess.getDtCPastAccess().getGroup_2_1_1(), "rule__DtCPast__Group_2_1_1__0");
					put(grammarAccess.getDtCPastAccess().getGroup_2_1_2(), "rule__DtCPast__Group_2_1_2__0");
					put(grammarAccess.getDtCNumericMaxAccess().getGroup(), "rule__DtCNumericMax__Group__0");
					put(grammarAccess.getDtCNumericMaxAccess().getGroup_4(), "rule__DtCNumericMax__Group_4__0");
					put(grammarAccess.getDtCNumericMaxAccess().getGroup_4_1_0(), "rule__DtCNumericMax__Group_4_1_0__0");
					put(grammarAccess.getDtCNumericMaxAccess().getGroup_4_1_1(), "rule__DtCNumericMax__Group_4_1_1__0");
					put(grammarAccess.getDtCNumericMaxAccess().getGroup_4_1_2(), "rule__DtCNumericMax__Group_4_1_2__0");
					put(grammarAccess.getDtCNumericMinAccess().getGroup(), "rule__DtCNumericMin__Group__0");
					put(grammarAccess.getDtCNumericMinAccess().getGroup_4(), "rule__DtCNumericMin__Group_4__0");
					put(grammarAccess.getDtCNumericMinAccess().getGroup_4_1_0(), "rule__DtCNumericMin__Group_4_1_0__0");
					put(grammarAccess.getDtCNumericMinAccess().getGroup_4_1_1(), "rule__DtCNumericMin__Group_4_1_1__0");
					put(grammarAccess.getDtCNumericMinAccess().getGroup_4_1_2(), "rule__DtCNumericMin__Group_4_1_2__0");
					put(grammarAccess.getDtCNotNullAccess().getGroup(), "rule__DtCNotNull__Group__0");
					put(grammarAccess.getDtCNotNullAccess().getGroup_2(), "rule__DtCNotNull__Group_2__0");
					put(grammarAccess.getDtCNotNullAccess().getGroup_2_1_0(), "rule__DtCNotNull__Group_2_1_0__0");
					put(grammarAccess.getDtCNotNullAccess().getGroup_2_1_1(), "rule__DtCNotNull__Group_2_1_1__0");
					put(grammarAccess.getDtCNotNullAccess().getGroup_2_1_2(), "rule__DtCNotNull__Group_2_1_2__0");
					put(grammarAccess.getDtCNullAccess().getGroup(), "rule__DtCNull__Group__0");
					put(grammarAccess.getDtCNullAccess().getGroup_2(), "rule__DtCNull__Group_2__0");
					put(grammarAccess.getDtCNullAccess().getGroup_2_1_0(), "rule__DtCNull__Group_2_1_0__0");
					put(grammarAccess.getDtCNullAccess().getGroup_2_1_1(), "rule__DtCNull__Group_2_1_1__0");
					put(grammarAccess.getDtCNullAccess().getGroup_2_1_2(), "rule__DtCNull__Group_2_1_2__0");
					put(grammarAccess.getDtCRegExAccess().getGroup(), "rule__DtCRegEx__Group__0");
					put(grammarAccess.getDtCRegExAccess().getGroup_4(), "rule__DtCRegEx__Group_4__0");
					put(grammarAccess.getDtCRegExAccess().getGroup_4_1_0(), "rule__DtCRegEx__Group_4_1_0__0");
					put(grammarAccess.getDtCRegExAccess().getGroup_4_1_1(), "rule__DtCRegEx__Group_4_1_1__0");
					put(grammarAccess.getDtCRegExAccess().getGroup_4_1_2(), "rule__DtCRegEx__Group_4_1_2__0");
					put(grammarAccess.getDtCSizeAccess().getGroup(), "rule__DtCSize__Group__0");
					put(grammarAccess.getDtCSizeAccess().getGroup_6(), "rule__DtCSize__Group_6__0");
					put(grammarAccess.getDtCSizeAccess().getGroup_6_1_0(), "rule__DtCSize__Group_6_1_0__0");
					put(grammarAccess.getDtCSizeAccess().getGroup_6_1_1(), "rule__DtCSize__Group_6_1_1__0");
					put(grammarAccess.getDtCSizeAccess().getGroup_6_1_2(), "rule__DtCSize__Group_6_1_2__0");
					put(grammarAccess.getEnumAccess().getGroup(), "rule__Enum__Group__0");
					put(grammarAccess.getEnumAccess().getGroup_4(), "rule__Enum__Group_4__0");
					put(grammarAccess.getEnumLiteralAccess().getGroup(), "rule__EnumLiteral__Group__0");
					put(grammarAccess.getEnumLiteralAccess().getGroup_2(), "rule__EnumLiteral__Group_2__0");
					put(grammarAccess.getStateClassAccess().getGroup(), "rule__StateClass__Group__0");
					put(grammarAccess.getStateClassAccess().getGroup_4(), "rule__StateClass__Group_4__0");
					put(grammarAccess.getStateAccess().getGroup(), "rule__State__Group__0");
					put(grammarAccess.getAnnotationDefAccess().getGroup(), "rule__AnnotationDef__Group__0");
					put(grammarAccess.getResultFiltersAccess().getGroup(), "rule__ResultFilters__Group__0");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getGroup(), "rule__AttributeMatchingConstraint__Group__0");
					put(grammarAccess.getKeyAndValueAccess().getGroup(), "rule__KeyAndValue__Group__0");
					put(grammarAccess.getLQualifiedNameWithWildCardAccess().getGroup(), "rule__LQualifiedNameWithWildCard__Group__0");
					put(grammarAccess.getLQualifiedNameWithWildCardAccess().getGroup_1(), "rule__LQualifiedNameWithWildCard__Group_1__0");
					put(grammarAccess.getLFQNAccess().getGroup(), "rule__LFQN__Group__0");
					put(grammarAccess.getLFQNAccess().getGroup_1(), "rule__LFQN__Group_1__0");
					put(grammarAccess.getValidLFQNWithKeywordsAccess().getGroup(), "rule__ValidLFQNWithKeywords__Group__0");
					put(grammarAccess.getValidLFQNWithKeywordsAccess().getGroup_1(), "rule__ValidLFQNWithKeywords__Group_1__0");
					put(grammarAccess.getMultiplicityAccess().getGroup(), "rule__Multiplicity__Group__0");
					put(grammarAccess.getMultiplicityAccess().getGroup_2(), "rule__Multiplicity__Group_2__0");
					put(grammarAccess.getLIntAccess().getGroup(), "rule__LInt__Group__0");
					put(grammarAccess.getLDecimalAccess().getGroup(), "rule__LDecimal__Group__0");
					put(grammarAccess.getLDecimalAccess().getGroup_1(), "rule__LDecimal__Group_1__0");
					put(grammarAccess.getXImportDeclarationAccess().getGroup(), "rule__XImportDeclaration__Group__0");
					put(grammarAccess.getXImportDeclarationAccess().getGroup_2_0(), "rule__XImportDeclaration__Group_2_0__0");
					put(grammarAccess.getXImportDeclarationAccess().getGroup_2_3(), "rule__XImportDeclaration__Group_2_3__0");
					put(grammarAccess.getXAnnotationAccess().getGroup(), "rule__XAnnotation__Group__0");
					put(grammarAccess.getXAnnotationAccess().getGroup_3(), "rule__XAnnotation__Group_3__0");
					put(grammarAccess.getXAnnotationAccess().getGroup_3_1_0(), "rule__XAnnotation__Group_3_1_0__0");
					put(grammarAccess.getXAnnotationAccess().getGroup_3_1_0_1(), "rule__XAnnotation__Group_3_1_0_1__0");
					put(grammarAccess.getXAnnotationElementValuePairAccess().getGroup(), "rule__XAnnotationElementValuePair__Group__0");
					put(grammarAccess.getXAnnotationElementValuePairAccess().getGroup_0(), "rule__XAnnotationElementValuePair__Group_0__0");
					put(grammarAccess.getXAnnotationElementValuePairAccess().getGroup_0_0(), "rule__XAnnotationElementValuePair__Group_0_0__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_0(), "rule__XAnnotationElementValueOrCommaList__Group_0__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_0_0(), "rule__XAnnotationElementValueOrCommaList__Group_0_0__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_0_0_0(), "rule__XAnnotationElementValueOrCommaList__Group_0_0_0__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_0_1(), "rule__XAnnotationElementValueOrCommaList__Group_0_1__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_0_1_1(), "rule__XAnnotationElementValueOrCommaList__Group_0_1_1__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_1(), "rule__XAnnotationElementValueOrCommaList__Group_1__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_1_1(), "rule__XAnnotationElementValueOrCommaList__Group_1_1__0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getGroup_1_1_1(), "rule__XAnnotationElementValueOrCommaList__Group_1_1_1__0");
					put(grammarAccess.getXAnnotationElementValueAccess().getGroup_0(), "rule__XAnnotationElementValue__Group_0__0");
					put(grammarAccess.getXAnnotationElementValueAccess().getGroup_0_0(), "rule__XAnnotationElementValue__Group_0_0__0");
					put(grammarAccess.getXAnnotationElementValueAccess().getGroup_0_0_0(), "rule__XAnnotationElementValue__Group_0_0_0__0");
					put(grammarAccess.getXAnnotationElementValueAccess().getGroup_0_1(), "rule__XAnnotationElementValue__Group_0_1__0");
					put(grammarAccess.getXAnnotationElementValueAccess().getGroup_0_1_1(), "rule__XAnnotationElementValue__Group_0_1_1__0");
					put(grammarAccess.getXAssignmentAccess().getGroup_0(), "rule__XAssignment__Group_0__0");
					put(grammarAccess.getXAssignmentAccess().getGroup_1(), "rule__XAssignment__Group_1__0");
					put(grammarAccess.getXAssignmentAccess().getGroup_1_1(), "rule__XAssignment__Group_1_1__0");
					put(grammarAccess.getXAssignmentAccess().getGroup_1_1_0(), "rule__XAssignment__Group_1_1_0__0");
					put(grammarAccess.getXAssignmentAccess().getGroup_1_1_0_0(), "rule__XAssignment__Group_1_1_0_0__0");
					put(grammarAccess.getOpMultiAssignAccess().getGroup_5(), "rule__OpMultiAssign__Group_5__0");
					put(grammarAccess.getOpMultiAssignAccess().getGroup_6(), "rule__OpMultiAssign__Group_6__0");
					put(grammarAccess.getXOrExpressionAccess().getGroup(), "rule__XOrExpression__Group__0");
					put(grammarAccess.getXOrExpressionAccess().getGroup_1(), "rule__XOrExpression__Group_1__0");
					put(grammarAccess.getXOrExpressionAccess().getGroup_1_0(), "rule__XOrExpression__Group_1_0__0");
					put(grammarAccess.getXOrExpressionAccess().getGroup_1_0_0(), "rule__XOrExpression__Group_1_0_0__0");
					put(grammarAccess.getXAndExpressionAccess().getGroup(), "rule__XAndExpression__Group__0");
					put(grammarAccess.getXAndExpressionAccess().getGroup_1(), "rule__XAndExpression__Group_1__0");
					put(grammarAccess.getXAndExpressionAccess().getGroup_1_0(), "rule__XAndExpression__Group_1_0__0");
					put(grammarAccess.getXAndExpressionAccess().getGroup_1_0_0(), "rule__XAndExpression__Group_1_0_0__0");
					put(grammarAccess.getXEqualityExpressionAccess().getGroup(), "rule__XEqualityExpression__Group__0");
					put(grammarAccess.getXEqualityExpressionAccess().getGroup_1(), "rule__XEqualityExpression__Group_1__0");
					put(grammarAccess.getXEqualityExpressionAccess().getGroup_1_0(), "rule__XEqualityExpression__Group_1_0__0");
					put(grammarAccess.getXEqualityExpressionAccess().getGroup_1_0_0(), "rule__XEqualityExpression__Group_1_0_0__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup(), "rule__XRelationalExpression__Group__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_0(), "rule__XRelationalExpression__Group_1_0__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_0_0(), "rule__XRelationalExpression__Group_1_0_0__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_0_0_0(), "rule__XRelationalExpression__Group_1_0_0_0__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_1(), "rule__XRelationalExpression__Group_1_1__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_1_0(), "rule__XRelationalExpression__Group_1_1_0__0");
					put(grammarAccess.getXRelationalExpressionAccess().getGroup_1_1_0_0(), "rule__XRelationalExpression__Group_1_1_0_0__0");
					put(grammarAccess.getOpCompareAccess().getGroup_1(), "rule__OpCompare__Group_1__0");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getGroup(), "rule__XOtherOperatorExpression__Group__0");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getGroup_1(), "rule__XOtherOperatorExpression__Group_1__0");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getGroup_1_0(), "rule__XOtherOperatorExpression__Group_1_0__0");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getGroup_1_0_0(), "rule__XOtherOperatorExpression__Group_1_0_0__0");
					put(grammarAccess.getOpOtherAccess().getGroup_2(), "rule__OpOther__Group_2__0");
					put(grammarAccess.getOpOtherAccess().getGroup_5(), "rule__OpOther__Group_5__0");
					put(grammarAccess.getOpOtherAccess().getGroup_5_1_0(), "rule__OpOther__Group_5_1_0__0");
					put(grammarAccess.getOpOtherAccess().getGroup_5_1_0_0(), "rule__OpOther__Group_5_1_0_0__0");
					put(grammarAccess.getOpOtherAccess().getGroup_6(), "rule__OpOther__Group_6__0");
					put(grammarAccess.getOpOtherAccess().getGroup_6_1_0(), "rule__OpOther__Group_6_1_0__0");
					put(grammarAccess.getOpOtherAccess().getGroup_6_1_0_0(), "rule__OpOther__Group_6_1_0_0__0");
					put(grammarAccess.getXAdditiveExpressionAccess().getGroup(), "rule__XAdditiveExpression__Group__0");
					put(grammarAccess.getXAdditiveExpressionAccess().getGroup_1(), "rule__XAdditiveExpression__Group_1__0");
					put(grammarAccess.getXAdditiveExpressionAccess().getGroup_1_0(), "rule__XAdditiveExpression__Group_1_0__0");
					put(grammarAccess.getXAdditiveExpressionAccess().getGroup_1_0_0(), "rule__XAdditiveExpression__Group_1_0_0__0");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getGroup(), "rule__XMultiplicativeExpression__Group__0");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getGroup_1(), "rule__XMultiplicativeExpression__Group_1__0");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getGroup_1_0(), "rule__XMultiplicativeExpression__Group_1_0__0");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getGroup_1_0_0(), "rule__XMultiplicativeExpression__Group_1_0_0__0");
					put(grammarAccess.getXUnaryOperationAccess().getGroup_0(), "rule__XUnaryOperation__Group_0__0");
					put(grammarAccess.getXCastedExpressionAccess().getGroup(), "rule__XCastedExpression__Group__0");
					put(grammarAccess.getXCastedExpressionAccess().getGroup_1(), "rule__XCastedExpression__Group_1__0");
					put(grammarAccess.getXCastedExpressionAccess().getGroup_1_0(), "rule__XCastedExpression__Group_1_0__0");
					put(grammarAccess.getXCastedExpressionAccess().getGroup_1_0_0(), "rule__XCastedExpression__Group_1_0_0__0");
					put(grammarAccess.getXPostfixOperationAccess().getGroup(), "rule__XPostfixOperation__Group__0");
					put(grammarAccess.getXPostfixOperationAccess().getGroup_1(), "rule__XPostfixOperation__Group_1__0");
					put(grammarAccess.getXPostfixOperationAccess().getGroup_1_0(), "rule__XPostfixOperation__Group_1_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup(), "rule__XMemberFeatureCall__Group__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_0(), "rule__XMemberFeatureCall__Group_1_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_0_0(), "rule__XMemberFeatureCall__Group_1_0_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_0_0_0(), "rule__XMemberFeatureCall__Group_1_0_0_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1(), "rule__XMemberFeatureCall__Group_1_1__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_0(), "rule__XMemberFeatureCall__Group_1_1_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_0_0(), "rule__XMemberFeatureCall__Group_1_1_0_0__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_1(), "rule__XMemberFeatureCall__Group_1_1_1__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_1_2(), "rule__XMemberFeatureCall__Group_1_1_1_2__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_3(), "rule__XMemberFeatureCall__Group_1_1_3__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_3_1_1(), "rule__XMemberFeatureCall__Group_1_1_3_1_1__0");
					put(grammarAccess.getXMemberFeatureCallAccess().getGroup_1_1_3_1_1_1(), "rule__XMemberFeatureCall__Group_1_1_3_1_1_1__0");
					put(grammarAccess.getXSetLiteralAccess().getGroup(), "rule__XSetLiteral__Group__0");
					put(grammarAccess.getXSetLiteralAccess().getGroup_3(), "rule__XSetLiteral__Group_3__0");
					put(grammarAccess.getXSetLiteralAccess().getGroup_3_1(), "rule__XSetLiteral__Group_3_1__0");
					put(grammarAccess.getXListLiteralAccess().getGroup(), "rule__XListLiteral__Group__0");
					put(grammarAccess.getXListLiteralAccess().getGroup_3(), "rule__XListLiteral__Group_3__0");
					put(grammarAccess.getXListLiteralAccess().getGroup_3_1(), "rule__XListLiteral__Group_3_1__0");
					put(grammarAccess.getXClosureAccess().getGroup(), "rule__XClosure__Group__0");
					put(grammarAccess.getXClosureAccess().getGroup_0(), "rule__XClosure__Group_0__0");
					put(grammarAccess.getXClosureAccess().getGroup_0_0(), "rule__XClosure__Group_0_0__0");
					put(grammarAccess.getXClosureAccess().getGroup_1(), "rule__XClosure__Group_1__0");
					put(grammarAccess.getXClosureAccess().getGroup_1_0(), "rule__XClosure__Group_1_0__0");
					put(grammarAccess.getXClosureAccess().getGroup_1_0_0(), "rule__XClosure__Group_1_0_0__0");
					put(grammarAccess.getXClosureAccess().getGroup_1_0_0_1(), "rule__XClosure__Group_1_0_0_1__0");
					put(grammarAccess.getXExpressionInClosureAccess().getGroup(), "rule__XExpressionInClosure__Group__0");
					put(grammarAccess.getXExpressionInClosureAccess().getGroup_1(), "rule__XExpressionInClosure__Group_1__0");
					put(grammarAccess.getXShortClosureAccess().getGroup(), "rule__XShortClosure__Group__0");
					put(grammarAccess.getXShortClosureAccess().getGroup_0(), "rule__XShortClosure__Group_0__0");
					put(grammarAccess.getXShortClosureAccess().getGroup_0_0(), "rule__XShortClosure__Group_0_0__0");
					put(grammarAccess.getXShortClosureAccess().getGroup_0_0_1(), "rule__XShortClosure__Group_0_0_1__0");
					put(grammarAccess.getXShortClosureAccess().getGroup_0_0_1_1(), "rule__XShortClosure__Group_0_0_1_1__0");
					put(grammarAccess.getXParenthesizedExpressionAccess().getGroup(), "rule__XParenthesizedExpression__Group__0");
					put(grammarAccess.getXIfExpressionAccess().getGroup(), "rule__XIfExpression__Group__0");
					put(grammarAccess.getXIfExpressionAccess().getGroup_6(), "rule__XIfExpression__Group_6__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup(), "rule__XSwitchExpression__Group__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_0(), "rule__XSwitchExpression__Group_2_0__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_0_0(), "rule__XSwitchExpression__Group_2_0_0__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_0_0_0(), "rule__XSwitchExpression__Group_2_0_0_0__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_1(), "rule__XSwitchExpression__Group_2_1__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_1_0(), "rule__XSwitchExpression__Group_2_1_0__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_2_1_0_0(), "rule__XSwitchExpression__Group_2_1_0_0__0");
					put(grammarAccess.getXSwitchExpressionAccess().getGroup_5(), "rule__XSwitchExpression__Group_5__0");
					put(grammarAccess.getXCasePartAccess().getGroup(), "rule__XCasePart__Group__0");
					put(grammarAccess.getXCasePartAccess().getGroup_2(), "rule__XCasePart__Group_2__0");
					put(grammarAccess.getXCasePartAccess().getGroup_3_0(), "rule__XCasePart__Group_3_0__0");
					put(grammarAccess.getXForLoopExpressionAccess().getGroup(), "rule__XForLoopExpression__Group__0");
					put(grammarAccess.getXForLoopExpressionAccess().getGroup_0(), "rule__XForLoopExpression__Group_0__0");
					put(grammarAccess.getXForLoopExpressionAccess().getGroup_0_0(), "rule__XForLoopExpression__Group_0_0__0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getGroup(), "rule__XBasicForLoopExpression__Group__0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getGroup_3(), "rule__XBasicForLoopExpression__Group_3__0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getGroup_3_1(), "rule__XBasicForLoopExpression__Group_3_1__0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getGroup_7(), "rule__XBasicForLoopExpression__Group_7__0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getGroup_7_1(), "rule__XBasicForLoopExpression__Group_7_1__0");
					put(grammarAccess.getXWhileExpressionAccess().getGroup(), "rule__XWhileExpression__Group__0");
					put(grammarAccess.getXDoWhileExpressionAccess().getGroup(), "rule__XDoWhileExpression__Group__0");
					put(grammarAccess.getXBlockExpressionAccess().getGroup(), "rule__XBlockExpression__Group__0");
					put(grammarAccess.getXBlockExpressionAccess().getGroup_2(), "rule__XBlockExpression__Group_2__0");
					put(grammarAccess.getXVariableDeclarationAccess().getGroup(), "rule__XVariableDeclaration__Group__0");
					put(grammarAccess.getXVariableDeclarationAccess().getGroup_2_0(), "rule__XVariableDeclaration__Group_2_0__0");
					put(grammarAccess.getXVariableDeclarationAccess().getGroup_2_0_0(), "rule__XVariableDeclaration__Group_2_0_0__0");
					put(grammarAccess.getXVariableDeclarationAccess().getGroup_3(), "rule__XVariableDeclaration__Group_3__0");
					put(grammarAccess.getJvmFormalParameterAccess().getGroup(), "rule__JvmFormalParameter__Group__0");
					put(grammarAccess.getFullJvmFormalParameterAccess().getGroup(), "rule__FullJvmFormalParameter__Group__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup(), "rule__XFeatureCall__Group__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup_1(), "rule__XFeatureCall__Group_1__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup_1_2(), "rule__XFeatureCall__Group_1_2__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup_3(), "rule__XFeatureCall__Group_3__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup_3_1_1(), "rule__XFeatureCall__Group_3_1_1__0");
					put(grammarAccess.getXFeatureCallAccess().getGroup_3_1_1_1(), "rule__XFeatureCall__Group_3_1_1_1__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup(), "rule__XConstructorCall__Group__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup_3(), "rule__XConstructorCall__Group_3__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup_3_2(), "rule__XConstructorCall__Group_3_2__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup_4(), "rule__XConstructorCall__Group_4__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup_4_1_1(), "rule__XConstructorCall__Group_4_1_1__0");
					put(grammarAccess.getXConstructorCallAccess().getGroup_4_1_1_1(), "rule__XConstructorCall__Group_4_1_1_1__0");
					put(grammarAccess.getXBooleanLiteralAccess().getGroup(), "rule__XBooleanLiteral__Group__0");
					put(grammarAccess.getXNullLiteralAccess().getGroup(), "rule__XNullLiteral__Group__0");
					put(grammarAccess.getXNumberLiteralAccess().getGroup(), "rule__XNumberLiteral__Group__0");
					put(grammarAccess.getXStringLiteralAccess().getGroup(), "rule__XStringLiteral__Group__0");
					put(grammarAccess.getXTypeLiteralAccess().getGroup(), "rule__XTypeLiteral__Group__0");
					put(grammarAccess.getXThrowExpressionAccess().getGroup(), "rule__XThrowExpression__Group__0");
					put(grammarAccess.getXReturnExpressionAccess().getGroup(), "rule__XReturnExpression__Group__0");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getGroup(), "rule__XTryCatchFinallyExpression__Group__0");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getGroup_3_0(), "rule__XTryCatchFinallyExpression__Group_3_0__0");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getGroup_3_0_1(), "rule__XTryCatchFinallyExpression__Group_3_0_1__0");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getGroup_3_1(), "rule__XTryCatchFinallyExpression__Group_3_1__0");
					put(grammarAccess.getXSynchronizedExpressionAccess().getGroup(), "rule__XSynchronizedExpression__Group__0");
					put(grammarAccess.getXSynchronizedExpressionAccess().getGroup_0(), "rule__XSynchronizedExpression__Group_0__0");
					put(grammarAccess.getXSynchronizedExpressionAccess().getGroup_0_0(), "rule__XSynchronizedExpression__Group_0_0__0");
					put(grammarAccess.getXCatchClauseAccess().getGroup(), "rule__XCatchClause__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup(), "rule__QualifiedName__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup_1(), "rule__QualifiedName__Group_1__0");
					put(grammarAccess.getNumberAccess().getGroup_1(), "rule__Number__Group_1__0");
					put(grammarAccess.getNumberAccess().getGroup_1_1(), "rule__Number__Group_1_1__0");
					put(grammarAccess.getStaticQualifierAccess().getGroup(), "rule__StaticQualifier__Group__0");
					put(grammarAccess.getJvmTypeReferenceAccess().getGroup_0(), "rule__JvmTypeReference__Group_0__0");
					put(grammarAccess.getJvmTypeReferenceAccess().getGroup_0_1(), "rule__JvmTypeReference__Group_0_1__0");
					put(grammarAccess.getJvmTypeReferenceAccess().getGroup_0_1_0(), "rule__JvmTypeReference__Group_0_1_0__0");
					put(grammarAccess.getArrayBracketsAccess().getGroup(), "rule__ArrayBrackets__Group__0");
					put(grammarAccess.getXFunctionTypeRefAccess().getGroup(), "rule__XFunctionTypeRef__Group__0");
					put(grammarAccess.getXFunctionTypeRefAccess().getGroup_0(), "rule__XFunctionTypeRef__Group_0__0");
					put(grammarAccess.getXFunctionTypeRefAccess().getGroup_0_1(), "rule__XFunctionTypeRef__Group_0_1__0");
					put(grammarAccess.getXFunctionTypeRefAccess().getGroup_0_1_1(), "rule__XFunctionTypeRef__Group_0_1_1__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup(), "rule__JvmParameterizedTypeReference__Group__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1(), "rule__JvmParameterizedTypeReference__Group_1__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_2(), "rule__JvmParameterizedTypeReference__Group_1_2__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_4(), "rule__JvmParameterizedTypeReference__Group_1_4__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_4_0(), "rule__JvmParameterizedTypeReference__Group_1_4_0__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_4_0_0(), "rule__JvmParameterizedTypeReference__Group_1_4_0_0__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_4_2(), "rule__JvmParameterizedTypeReference__Group_1_4_2__0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getGroup_1_4_2_2(), "rule__JvmParameterizedTypeReference__Group_1_4_2_2__0");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getGroup(), "rule__JvmWildcardTypeReference__Group__0");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getGroup_2_0(), "rule__JvmWildcardTypeReference__Group_2_0__0");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getGroup_2_1(), "rule__JvmWildcardTypeReference__Group_2_1__0");
					put(grammarAccess.getJvmUpperBoundAccess().getGroup(), "rule__JvmUpperBound__Group__0");
					put(grammarAccess.getJvmUpperBoundAndedAccess().getGroup(), "rule__JvmUpperBoundAnded__Group__0");
					put(grammarAccess.getJvmLowerBoundAccess().getGroup(), "rule__JvmLowerBound__Group__0");
					put(grammarAccess.getJvmLowerBoundAndedAccess().getGroup(), "rule__JvmLowerBoundAnded__Group__0");
					put(grammarAccess.getJvmTypeParameterAccess().getGroup(), "rule__JvmTypeParameter__Group__0");
					put(grammarAccess.getJvmTypeParameterAccess().getGroup_1(), "rule__JvmTypeParameter__Group_1__0");
					put(grammarAccess.getQualifiedNameWithWildcardAccess().getGroup(), "rule__QualifiedNameWithWildcard__Group__0");
					put(grammarAccess.getQualifiedNameInStaticImportAccess().getGroup(), "rule__QualifiedNameInStaticImport__Group__0");
					put(grammarAccess.getLServiceModelAccess().getImportSectionAssignment_0(), "rule__LServiceModel__ImportSectionAssignment_0");
					put(grammarAccess.getLServiceModelAccess().getPackagesAssignment_1(), "rule__LServiceModel__PackagesAssignment_1");
					put(grammarAccess.getClassAccess().getAnnotationsAssignment_1(), "rule__Class__AnnotationsAssignment_1");
					put(grammarAccess.getClassAccess().getNameAssignment_4(), "rule__Class__NameAssignment_4");
					put(grammarAccess.getClassAccess().getDtoAssignment_6(), "rule__Class__DtoAssignment_6");
					put(grammarAccess.getClassAccess().getMutablePersistenceIdAssignment_8_0(), "rule__Class__MutablePersistenceIdAssignment_8_0");
					put(grammarAccess.getClassAccess().getPersistenceIdAssignment_8_2(), "rule__Class__PersistenceIdAssignment_8_2");
					put(grammarAccess.getClassAccess().getInjectedServicesAssignment_9(), "rule__Class__InjectedServicesAssignment_9");
					put(grammarAccess.getClassAccess().getOperationsAssignment_10(), "rule__Class__OperationsAssignment_10");
					put(grammarAccess.getInjectedServicesAccess().getServicesAssignment_1(), "rule__InjectedServices__ServicesAssignment_1");
					put(grammarAccess.getInjectedServiceAccess().getCardinalityAssignment_2(), "rule__InjectedService__CardinalityAssignment_2");
					put(grammarAccess.getInjectedServiceAccess().getServiceAssignment_3(), "rule__InjectedService__ServiceAssignment_3");
					put(grammarAccess.getInjectedServiceAccess().getAttributeNameAssignment_4(), "rule__InjectedService__AttributeNameAssignment_4");
					put(grammarAccess.getFilterableAttributesAccess().getFilterableFeaturesAssignment_2(), "rule__FilterableAttributes__FilterableFeaturesAssignment_2");
					put(grammarAccess.getFilterableAttributesAccess().getFilterableFeaturesAssignment_3_1(), "rule__FilterableAttributes__FilterableFeaturesAssignment_3_1");
					put(grammarAccess.getSortableAttributesAccess().getSortableFeaturesAssignment_2(), "rule__SortableAttributes__SortableFeaturesAssignment_2");
					put(grammarAccess.getSortableAttributesAccess().getSortableFeaturesAssignment_3_1(), "rule__SortableAttributes__SortableFeaturesAssignment_3_1");
					put(grammarAccess.getOperationAccess().getAnnotationsAssignment_1(), "rule__Operation__AnnotationsAssignment_1");
					put(grammarAccess.getOperationAccess().getTypeAssignment_2_1(), "rule__Operation__TypeAssignment_2_1");
					put(grammarAccess.getOperationAccess().getNameAssignment_2_2(), "rule__Operation__NameAssignment_2_2");
					put(grammarAccess.getOperationAccess().getParamsAssignment_2_4_0(), "rule__Operation__ParamsAssignment_2_4_0");
					put(grammarAccess.getOperationAccess().getParamsAssignment_2_4_1_1(), "rule__Operation__ParamsAssignment_2_4_1_1");
					put(grammarAccess.getOperationAccess().getBodyAssignment_2_6(), "rule__Operation__BodyAssignment_2_6");
					put(grammarAccess.getTypedPackageAccess().getNameAssignment_2(), "rule__TypedPackage__NameAssignment_2");
					put(grammarAccess.getTypedPackageAccess().getTypesAssignment_3_1(), "rule__TypedPackage__TypesAssignment_3_1");
					put(grammarAccess.getDataTypeAccess().getNameAssignment_1(), "rule__DataType__NameAssignment_1");
					put(grammarAccess.getDataTypeAccess().getJvmTypeReferenceAssignment_2_0_1(), "rule__DataType__JvmTypeReferenceAssignment_2_0_1");
					put(grammarAccess.getDataTypeAccess().getAsPrimitiveAssignment_2_0_2(), "rule__DataType__AsPrimitiveAssignment_2_0_2");
					put(grammarAccess.getDataTypeAccess().getConstraintsAssignment_2_0_3(), "rule__DataType__ConstraintsAssignment_2_0_3");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_0_4_2(), "rule__DataType__PropertiesAssignment_2_0_4_2");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_0_4_3_1(), "rule__DataType__PropertiesAssignment_2_0_4_3_1");
					put(grammarAccess.getDataTypeAccess().getDateAssignment_2_1_0(), "rule__DataType__DateAssignment_2_1_0");
					put(grammarAccess.getDataTypeAccess().getDateTypeAssignment_2_1_1(), "rule__DataType__DateTypeAssignment_2_1_1");
					put(grammarAccess.getDataTypeAccess().getConstraintsAssignment_2_1_2(), "rule__DataType__ConstraintsAssignment_2_1_2");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_1_3_2(), "rule__DataType__PropertiesAssignment_2_1_3_2");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_1_3_3_1(), "rule__DataType__PropertiesAssignment_2_1_3_3_1");
					put(grammarAccess.getDataTypeAccess().getAsBlobAssignment_2_2_0(), "rule__DataType__AsBlobAssignment_2_2_0");
					put(grammarAccess.getDataTypeAccess().getConstraintsAssignment_2_2_1(), "rule__DataType__ConstraintsAssignment_2_2_1");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_2_2_2(), "rule__DataType__PropertiesAssignment_2_2_2_2");
					put(grammarAccess.getDataTypeAccess().getPropertiesAssignment_2_2_2_3_1(), "rule__DataType__PropertiesAssignment_2_2_2_3_1");
					put(grammarAccess.getDtCAssertFalseAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCAssertFalse__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCAssertFalseAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCAssertFalse__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCAssertFalseAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCAssertFalse__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCAssertTrueAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCAssertTrue__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCAssertTrueAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCAssertTrue__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCAssertTrueAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCAssertTrue__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCDecimalMaxAccess().getMaxAssignment_3(), "rule__DtCDecimalMax__MaxAssignment_3");
					put(grammarAccess.getDtCDecimalMaxAccess().getMsgCodeAssignment_4_1_0_2(), "rule__DtCDecimalMax__MsgCodeAssignment_4_1_0_2");
					put(grammarAccess.getDtCDecimalMaxAccess().getMsgI18nKeyAssignment_4_1_1_2(), "rule__DtCDecimalMax__MsgI18nKeyAssignment_4_1_1_2");
					put(grammarAccess.getDtCDecimalMaxAccess().getSeverityAssignment_4_1_2_2(), "rule__DtCDecimalMax__SeverityAssignment_4_1_2_2");
					put(grammarAccess.getDtCDecimalMinAccess().getMinAssignment_3(), "rule__DtCDecimalMin__MinAssignment_3");
					put(grammarAccess.getDtCDecimalMinAccess().getMsgCodeAssignment_4_1_0_2(), "rule__DtCDecimalMin__MsgCodeAssignment_4_1_0_2");
					put(grammarAccess.getDtCDecimalMinAccess().getMsgI18nKeyAssignment_4_1_1_2(), "rule__DtCDecimalMin__MsgI18nKeyAssignment_4_1_1_2");
					put(grammarAccess.getDtCDecimalMinAccess().getSeverityAssignment_4_1_2_2(), "rule__DtCDecimalMin__SeverityAssignment_4_1_2_2");
					put(grammarAccess.getDtCDigitsAccess().getIntDigitsAssignment_3(), "rule__DtCDigits__IntDigitsAssignment_3");
					put(grammarAccess.getDtCDigitsAccess().getFractionDigitsAssignment_5(), "rule__DtCDigits__FractionDigitsAssignment_5");
					put(grammarAccess.getDtCDigitsAccess().getMsgCodeAssignment_6_1_0_2(), "rule__DtCDigits__MsgCodeAssignment_6_1_0_2");
					put(grammarAccess.getDtCDigitsAccess().getMsgI18nKeyAssignment_6_1_1_2(), "rule__DtCDigits__MsgI18nKeyAssignment_6_1_1_2");
					put(grammarAccess.getDtCDigitsAccess().getSeverityAssignment_6_1_2_2(), "rule__DtCDigits__SeverityAssignment_6_1_2_2");
					put(grammarAccess.getDtCFutureAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCFuture__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCFutureAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCFuture__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCFutureAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCFuture__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCPastAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCPast__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCPastAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCPast__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCPastAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCPast__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCNumericMaxAccess().getMaxAssignment_3(), "rule__DtCNumericMax__MaxAssignment_3");
					put(grammarAccess.getDtCNumericMaxAccess().getMsgCodeAssignment_4_1_0_2(), "rule__DtCNumericMax__MsgCodeAssignment_4_1_0_2");
					put(grammarAccess.getDtCNumericMaxAccess().getMsgI18nKeyAssignment_4_1_1_2(), "rule__DtCNumericMax__MsgI18nKeyAssignment_4_1_1_2");
					put(grammarAccess.getDtCNumericMaxAccess().getSeverityAssignment_4_1_2_2(), "rule__DtCNumericMax__SeverityAssignment_4_1_2_2");
					put(grammarAccess.getDtCNumericMinAccess().getMinAssignment_3(), "rule__DtCNumericMin__MinAssignment_3");
					put(grammarAccess.getDtCNumericMinAccess().getMsgCodeAssignment_4_1_0_2(), "rule__DtCNumericMin__MsgCodeAssignment_4_1_0_2");
					put(grammarAccess.getDtCNumericMinAccess().getMsgI18nKeyAssignment_4_1_1_2(), "rule__DtCNumericMin__MsgI18nKeyAssignment_4_1_1_2");
					put(grammarAccess.getDtCNumericMinAccess().getSeverityAssignment_4_1_2_2(), "rule__DtCNumericMin__SeverityAssignment_4_1_2_2");
					put(grammarAccess.getDtCNotNullAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCNotNull__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCNotNullAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCNotNull__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCNotNullAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCNotNull__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCNullAccess().getMsgCodeAssignment_2_1_0_2(), "rule__DtCNull__MsgCodeAssignment_2_1_0_2");
					put(grammarAccess.getDtCNullAccess().getMsgI18nKeyAssignment_2_1_1_2(), "rule__DtCNull__MsgI18nKeyAssignment_2_1_1_2");
					put(grammarAccess.getDtCNullAccess().getSeverityAssignment_2_1_2_2(), "rule__DtCNull__SeverityAssignment_2_1_2_2");
					put(grammarAccess.getDtCRegExAccess().getPatternAssignment_3(), "rule__DtCRegEx__PatternAssignment_3");
					put(grammarAccess.getDtCRegExAccess().getMsgCodeAssignment_4_1_0_2(), "rule__DtCRegEx__MsgCodeAssignment_4_1_0_2");
					put(grammarAccess.getDtCRegExAccess().getMsgI18nKeyAssignment_4_1_1_2(), "rule__DtCRegEx__MsgI18nKeyAssignment_4_1_1_2");
					put(grammarAccess.getDtCRegExAccess().getSeverityAssignment_4_1_2_2(), "rule__DtCRegEx__SeverityAssignment_4_1_2_2");
					put(grammarAccess.getDtCSizeAccess().getMinAssignment_3(), "rule__DtCSize__MinAssignment_3");
					put(grammarAccess.getDtCSizeAccess().getMaxAssignment_5(), "rule__DtCSize__MaxAssignment_5");
					put(grammarAccess.getDtCSizeAccess().getMsgCodeAssignment_6_1_0_2(), "rule__DtCSize__MsgCodeAssignment_6_1_0_2");
					put(grammarAccess.getDtCSizeAccess().getMsgI18nKeyAssignment_6_1_1_2(), "rule__DtCSize__MsgI18nKeyAssignment_6_1_1_2");
					put(grammarAccess.getDtCSizeAccess().getSeverityAssignment_6_1_2_2(), "rule__DtCSize__SeverityAssignment_6_1_2_2");
					put(grammarAccess.getModifierAccess().getFinalAssignment_0(), "rule__Modifier__FinalAssignment_0");
					put(grammarAccess.getModifierAccess().getStaticAssignment_1(), "rule__Modifier__StaticAssignment_1");
					put(grammarAccess.getModifierAccess().getVisibilityAssignment_2(), "rule__Modifier__VisibilityAssignment_2");
					put(grammarAccess.getEnumAccess().getNameAssignment_1(), "rule__Enum__NameAssignment_1");
					put(grammarAccess.getEnumAccess().getLiteralsAssignment_3(), "rule__Enum__LiteralsAssignment_3");
					put(grammarAccess.getEnumAccess().getLiteralsAssignment_4_1(), "rule__Enum__LiteralsAssignment_4_1");
					put(grammarAccess.getEnumLiteralAccess().getNameAssignment_0(), "rule__EnumLiteral__NameAssignment_0");
					put(grammarAccess.getEnumLiteralAccess().getDefaultAssignment_1(), "rule__EnumLiteral__DefaultAssignment_1");
					put(grammarAccess.getEnumLiteralAccess().getValueAssignment_2_1_0(), "rule__EnumLiteral__ValueAssignment_2_1_0");
					put(grammarAccess.getEnumLiteralAccess().getStringValueAssignment_2_1_1(), "rule__EnumLiteral__StringValueAssignment_2_1_1");
					put(grammarAccess.getStateClassAccess().getNameAssignment_1(), "rule__StateClass__NameAssignment_1");
					put(grammarAccess.getStateClassAccess().getStatesAssignment_3(), "rule__StateClass__StatesAssignment_3");
					put(grammarAccess.getStateClassAccess().getStatesAssignment_4_1(), "rule__StateClass__StatesAssignment_4_1");
					put(grammarAccess.getStateAccess().getNameAssignment_1(), "rule__State__NameAssignment_1");
					put(grammarAccess.getAnnotationDefAccess().getAnnotationAssignment_0(), "rule__AnnotationDef__AnnotationAssignment_0");
					put(grammarAccess.getResultFiltersAccess().getResultFiltersAssignment_3(), "rule__ResultFilters__ResultFiltersAssignment_3");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getAttributeAssignment_0(), "rule__AttributeMatchingConstraint__AttributeAssignment_0");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getComparatorTypeAssignment_1(), "rule__AttributeMatchingConstraint__ComparatorTypeAssignment_1");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getMatchingValueAssignment_2_0(), "rule__AttributeMatchingConstraint__MatchingValueAssignment_2_0");
					put(grammarAccess.getAttributeMatchingConstraintAccess().getMatchingLiteralAssignment_2_1(), "rule__AttributeMatchingConstraint__MatchingLiteralAssignment_2_1");
					put(grammarAccess.getKeyAndValueAccess().getKeyAssignment_2(), "rule__KeyAndValue__KeyAssignment_2");
					put(grammarAccess.getKeyAndValueAccess().getValueAssignment_5(), "rule__KeyAndValue__ValueAssignment_5");
					put(grammarAccess.getMultiplicityAccess().getLowerAssignment_1(), "rule__Multiplicity__LowerAssignment_1");
					put(grammarAccess.getMultiplicityAccess().getUpperAssignment_2_1(), "rule__Multiplicity__UpperAssignment_2_1");
					put(grammarAccess.getXImportDeclarationAccess().getStaticAssignment_2_0_0(), "rule__XImportDeclaration__StaticAssignment_2_0_0");
					put(grammarAccess.getXImportDeclarationAccess().getExtensionAssignment_2_0_1(), "rule__XImportDeclaration__ExtensionAssignment_2_0_1");
					put(grammarAccess.getXImportDeclarationAccess().getImportedTypeAssignment_2_0_2(), "rule__XImportDeclaration__ImportedTypeAssignment_2_0_2");
					put(grammarAccess.getXImportDeclarationAccess().getWildcardAssignment_2_0_3_0(), "rule__XImportDeclaration__WildcardAssignment_2_0_3_0");
					put(grammarAccess.getXImportDeclarationAccess().getMemberNameAssignment_2_0_3_1(), "rule__XImportDeclaration__MemberNameAssignment_2_0_3_1");
					put(grammarAccess.getXImportDeclarationAccess().getImportedTypeAssignment_2_1(), "rule__XImportDeclaration__ImportedTypeAssignment_2_1");
					put(grammarAccess.getXImportDeclarationAccess().getImportedNamespaceAssignment_2_2(), "rule__XImportDeclaration__ImportedNamespaceAssignment_2_2");
					put(grammarAccess.getXImportDeclarationAccess().getFqnImportAssignment_2_3_0(), "rule__XImportDeclaration__FqnImportAssignment_2_3_0");
					put(grammarAccess.getXImportDeclarationAccess().getImportedFullyQualifiedNameAssignment_2_3_1(), "rule__XImportDeclaration__ImportedFullyQualifiedNameAssignment_2_3_1");
					put(grammarAccess.getXAnnotationAccess().getAnnotationTypeAssignment_2(), "rule__XAnnotation__AnnotationTypeAssignment_2");
					put(grammarAccess.getXAnnotationAccess().getElementValuePairsAssignment_3_1_0_0(), "rule__XAnnotation__ElementValuePairsAssignment_3_1_0_0");
					put(grammarAccess.getXAnnotationAccess().getElementValuePairsAssignment_3_1_0_1_1(), "rule__XAnnotation__ElementValuePairsAssignment_3_1_0_1_1");
					put(grammarAccess.getXAnnotationAccess().getValueAssignment_3_1_1(), "rule__XAnnotation__ValueAssignment_3_1_1");
					put(grammarAccess.getXAnnotationElementValuePairAccess().getElementAssignment_0_0_0(), "rule__XAnnotationElementValuePair__ElementAssignment_0_0_0");
					put(grammarAccess.getXAnnotationElementValuePairAccess().getValueAssignment_1(), "rule__XAnnotationElementValuePair__ValueAssignment_1");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getElementsAssignment_0_1_0(), "rule__XAnnotationElementValueOrCommaList__ElementsAssignment_0_1_0");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getElementsAssignment_0_1_1_1(), "rule__XAnnotationElementValueOrCommaList__ElementsAssignment_0_1_1_1");
					put(grammarAccess.getXAnnotationElementValueOrCommaListAccess().getElementsAssignment_1_1_1_1(), "rule__XAnnotationElementValueOrCommaList__ElementsAssignment_1_1_1_1");
					put(grammarAccess.getXAnnotationElementValueAccess().getElementsAssignment_0_1_0(), "rule__XAnnotationElementValue__ElementsAssignment_0_1_0");
					put(grammarAccess.getXAnnotationElementValueAccess().getElementsAssignment_0_1_1_1(), "rule__XAnnotationElementValue__ElementsAssignment_0_1_1_1");
					put(grammarAccess.getXAssignmentAccess().getFeatureAssignment_0_1(), "rule__XAssignment__FeatureAssignment_0_1");
					put(grammarAccess.getXAssignmentAccess().getValueAssignment_0_3(), "rule__XAssignment__ValueAssignment_0_3");
					put(grammarAccess.getXAssignmentAccess().getFeatureAssignment_1_1_0_0_1(), "rule__XAssignment__FeatureAssignment_1_1_0_0_1");
					put(grammarAccess.getXAssignmentAccess().getRightOperandAssignment_1_1_1(), "rule__XAssignment__RightOperandAssignment_1_1_1");
					put(grammarAccess.getXOrExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XOrExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXOrExpressionAccess().getRightOperandAssignment_1_1(), "rule__XOrExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXAndExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XAndExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXAndExpressionAccess().getRightOperandAssignment_1_1(), "rule__XAndExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXEqualityExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XEqualityExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXEqualityExpressionAccess().getRightOperandAssignment_1_1(), "rule__XEqualityExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXRelationalExpressionAccess().getTypeAssignment_1_0_1(), "rule__XRelationalExpression__TypeAssignment_1_0_1");
					put(grammarAccess.getXRelationalExpressionAccess().getFeatureAssignment_1_1_0_0_1(), "rule__XRelationalExpression__FeatureAssignment_1_1_0_0_1");
					put(grammarAccess.getXRelationalExpressionAccess().getRightOperandAssignment_1_1_1(), "rule__XRelationalExpression__RightOperandAssignment_1_1_1");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XOtherOperatorExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXOtherOperatorExpressionAccess().getRightOperandAssignment_1_1(), "rule__XOtherOperatorExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXAdditiveExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XAdditiveExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXAdditiveExpressionAccess().getRightOperandAssignment_1_1(), "rule__XAdditiveExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getFeatureAssignment_1_0_0_1(), "rule__XMultiplicativeExpression__FeatureAssignment_1_0_0_1");
					put(grammarAccess.getXMultiplicativeExpressionAccess().getRightOperandAssignment_1_1(), "rule__XMultiplicativeExpression__RightOperandAssignment_1_1");
					put(grammarAccess.getXUnaryOperationAccess().getFeatureAssignment_0_1(), "rule__XUnaryOperation__FeatureAssignment_0_1");
					put(grammarAccess.getXUnaryOperationAccess().getOperandAssignment_0_2(), "rule__XUnaryOperation__OperandAssignment_0_2");
					put(grammarAccess.getXCastedExpressionAccess().getTypeAssignment_1_1(), "rule__XCastedExpression__TypeAssignment_1_1");
					put(grammarAccess.getXPostfixOperationAccess().getFeatureAssignment_1_0_1(), "rule__XPostfixOperation__FeatureAssignment_1_0_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getExplicitStaticAssignment_1_0_0_0_1_1(), "rule__XMemberFeatureCall__ExplicitStaticAssignment_1_0_0_0_1_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getFeatureAssignment_1_0_0_0_2(), "rule__XMemberFeatureCall__FeatureAssignment_1_0_0_0_2");
					put(grammarAccess.getXMemberFeatureCallAccess().getValueAssignment_1_0_1(), "rule__XMemberFeatureCall__ValueAssignment_1_0_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getNullSafeAssignment_1_1_0_0_1_1(), "rule__XMemberFeatureCall__NullSafeAssignment_1_1_0_0_1_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getExplicitStaticAssignment_1_1_0_0_1_2(), "rule__XMemberFeatureCall__ExplicitStaticAssignment_1_1_0_0_1_2");
					put(grammarAccess.getXMemberFeatureCallAccess().getTypeArgumentsAssignment_1_1_1_1(), "rule__XMemberFeatureCall__TypeArgumentsAssignment_1_1_1_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getTypeArgumentsAssignment_1_1_1_2_1(), "rule__XMemberFeatureCall__TypeArgumentsAssignment_1_1_1_2_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getFeatureAssignment_1_1_2(), "rule__XMemberFeatureCall__FeatureAssignment_1_1_2");
					put(grammarAccess.getXMemberFeatureCallAccess().getExplicitOperationCallAssignment_1_1_3_0(), "rule__XMemberFeatureCall__ExplicitOperationCallAssignment_1_1_3_0");
					put(grammarAccess.getXMemberFeatureCallAccess().getMemberCallArgumentsAssignment_1_1_3_1_0(), "rule__XMemberFeatureCall__MemberCallArgumentsAssignment_1_1_3_1_0");
					put(grammarAccess.getXMemberFeatureCallAccess().getMemberCallArgumentsAssignment_1_1_3_1_1_0(), "rule__XMemberFeatureCall__MemberCallArgumentsAssignment_1_1_3_1_1_0");
					put(grammarAccess.getXMemberFeatureCallAccess().getMemberCallArgumentsAssignment_1_1_3_1_1_1_1(), "rule__XMemberFeatureCall__MemberCallArgumentsAssignment_1_1_3_1_1_1_1");
					put(grammarAccess.getXMemberFeatureCallAccess().getMemberCallArgumentsAssignment_1_1_4(), "rule__XMemberFeatureCall__MemberCallArgumentsAssignment_1_1_4");
					put(grammarAccess.getXSetLiteralAccess().getElementsAssignment_3_0(), "rule__XSetLiteral__ElementsAssignment_3_0");
					put(grammarAccess.getXSetLiteralAccess().getElementsAssignment_3_1_1(), "rule__XSetLiteral__ElementsAssignment_3_1_1");
					put(grammarAccess.getXListLiteralAccess().getElementsAssignment_3_0(), "rule__XListLiteral__ElementsAssignment_3_0");
					put(grammarAccess.getXListLiteralAccess().getElementsAssignment_3_1_1(), "rule__XListLiteral__ElementsAssignment_3_1_1");
					put(grammarAccess.getXClosureAccess().getDeclaredFormalParametersAssignment_1_0_0_0(), "rule__XClosure__DeclaredFormalParametersAssignment_1_0_0_0");
					put(grammarAccess.getXClosureAccess().getDeclaredFormalParametersAssignment_1_0_0_1_1(), "rule__XClosure__DeclaredFormalParametersAssignment_1_0_0_1_1");
					put(grammarAccess.getXClosureAccess().getExplicitSyntaxAssignment_1_0_1(), "rule__XClosure__ExplicitSyntaxAssignment_1_0_1");
					put(grammarAccess.getXClosureAccess().getExpressionAssignment_2(), "rule__XClosure__ExpressionAssignment_2");
					put(grammarAccess.getXExpressionInClosureAccess().getExpressionsAssignment_1_0(), "rule__XExpressionInClosure__ExpressionsAssignment_1_0");
					put(grammarAccess.getXShortClosureAccess().getDeclaredFormalParametersAssignment_0_0_1_0(), "rule__XShortClosure__DeclaredFormalParametersAssignment_0_0_1_0");
					put(grammarAccess.getXShortClosureAccess().getDeclaredFormalParametersAssignment_0_0_1_1_1(), "rule__XShortClosure__DeclaredFormalParametersAssignment_0_0_1_1_1");
					put(grammarAccess.getXShortClosureAccess().getExplicitSyntaxAssignment_0_0_2(), "rule__XShortClosure__ExplicitSyntaxAssignment_0_0_2");
					put(grammarAccess.getXShortClosureAccess().getExpressionAssignment_1(), "rule__XShortClosure__ExpressionAssignment_1");
					put(grammarAccess.getXIfExpressionAccess().getIfAssignment_3(), "rule__XIfExpression__IfAssignment_3");
					put(grammarAccess.getXIfExpressionAccess().getThenAssignment_5(), "rule__XIfExpression__ThenAssignment_5");
					put(grammarAccess.getXIfExpressionAccess().getElseAssignment_6_1(), "rule__XIfExpression__ElseAssignment_6_1");
					put(grammarAccess.getXSwitchExpressionAccess().getDeclaredParamAssignment_2_0_0_0_1(), "rule__XSwitchExpression__DeclaredParamAssignment_2_0_0_0_1");
					put(grammarAccess.getXSwitchExpressionAccess().getSwitchAssignment_2_0_1(), "rule__XSwitchExpression__SwitchAssignment_2_0_1");
					put(grammarAccess.getXSwitchExpressionAccess().getDeclaredParamAssignment_2_1_0_0_0(), "rule__XSwitchExpression__DeclaredParamAssignment_2_1_0_0_0");
					put(grammarAccess.getXSwitchExpressionAccess().getSwitchAssignment_2_1_1(), "rule__XSwitchExpression__SwitchAssignment_2_1_1");
					put(grammarAccess.getXSwitchExpressionAccess().getCasesAssignment_4(), "rule__XSwitchExpression__CasesAssignment_4");
					put(grammarAccess.getXSwitchExpressionAccess().getDefaultAssignment_5_2(), "rule__XSwitchExpression__DefaultAssignment_5_2");
					put(grammarAccess.getXCasePartAccess().getTypeGuardAssignment_1(), "rule__XCasePart__TypeGuardAssignment_1");
					put(grammarAccess.getXCasePartAccess().getCaseAssignment_2_1(), "rule__XCasePart__CaseAssignment_2_1");
					put(grammarAccess.getXCasePartAccess().getThenAssignment_3_0_1(), "rule__XCasePart__ThenAssignment_3_0_1");
					put(grammarAccess.getXCasePartAccess().getFallThroughAssignment_3_1(), "rule__XCasePart__FallThroughAssignment_3_1");
					put(grammarAccess.getXForLoopExpressionAccess().getDeclaredParamAssignment_0_0_3(), "rule__XForLoopExpression__DeclaredParamAssignment_0_0_3");
					put(grammarAccess.getXForLoopExpressionAccess().getForExpressionAssignment_1(), "rule__XForLoopExpression__ForExpressionAssignment_1");
					put(grammarAccess.getXForLoopExpressionAccess().getEachExpressionAssignment_3(), "rule__XForLoopExpression__EachExpressionAssignment_3");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getInitExpressionsAssignment_3_0(), "rule__XBasicForLoopExpression__InitExpressionsAssignment_3_0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getInitExpressionsAssignment_3_1_1(), "rule__XBasicForLoopExpression__InitExpressionsAssignment_3_1_1");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getExpressionAssignment_5(), "rule__XBasicForLoopExpression__ExpressionAssignment_5");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getUpdateExpressionsAssignment_7_0(), "rule__XBasicForLoopExpression__UpdateExpressionsAssignment_7_0");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getUpdateExpressionsAssignment_7_1_1(), "rule__XBasicForLoopExpression__UpdateExpressionsAssignment_7_1_1");
					put(grammarAccess.getXBasicForLoopExpressionAccess().getEachExpressionAssignment_9(), "rule__XBasicForLoopExpression__EachExpressionAssignment_9");
					put(grammarAccess.getXWhileExpressionAccess().getPredicateAssignment_3(), "rule__XWhileExpression__PredicateAssignment_3");
					put(grammarAccess.getXWhileExpressionAccess().getBodyAssignment_5(), "rule__XWhileExpression__BodyAssignment_5");
					put(grammarAccess.getXDoWhileExpressionAccess().getBodyAssignment_2(), "rule__XDoWhileExpression__BodyAssignment_2");
					put(grammarAccess.getXDoWhileExpressionAccess().getPredicateAssignment_5(), "rule__XDoWhileExpression__PredicateAssignment_5");
					put(grammarAccess.getXBlockExpressionAccess().getExpressionsAssignment_2_0(), "rule__XBlockExpression__ExpressionsAssignment_2_0");
					put(grammarAccess.getXVariableDeclarationAccess().getWriteableAssignment_1_0(), "rule__XVariableDeclaration__WriteableAssignment_1_0");
					put(grammarAccess.getXVariableDeclarationAccess().getTypeAssignment_2_0_0_0(), "rule__XVariableDeclaration__TypeAssignment_2_0_0_0");
					put(grammarAccess.getXVariableDeclarationAccess().getNameAssignment_2_0_0_1(), "rule__XVariableDeclaration__NameAssignment_2_0_0_1");
					put(grammarAccess.getXVariableDeclarationAccess().getNameAssignment_2_1(), "rule__XVariableDeclaration__NameAssignment_2_1");
					put(grammarAccess.getXVariableDeclarationAccess().getRightAssignment_3_1(), "rule__XVariableDeclaration__RightAssignment_3_1");
					put(grammarAccess.getJvmFormalParameterAccess().getParameterTypeAssignment_0(), "rule__JvmFormalParameter__ParameterTypeAssignment_0");
					put(grammarAccess.getJvmFormalParameterAccess().getNameAssignment_1(), "rule__JvmFormalParameter__NameAssignment_1");
					put(grammarAccess.getFullJvmFormalParameterAccess().getParameterTypeAssignment_0(), "rule__FullJvmFormalParameter__ParameterTypeAssignment_0");
					put(grammarAccess.getFullJvmFormalParameterAccess().getNameAssignment_1(), "rule__FullJvmFormalParameter__NameAssignment_1");
					put(grammarAccess.getXFeatureCallAccess().getTypeArgumentsAssignment_1_1(), "rule__XFeatureCall__TypeArgumentsAssignment_1_1");
					put(grammarAccess.getXFeatureCallAccess().getTypeArgumentsAssignment_1_2_1(), "rule__XFeatureCall__TypeArgumentsAssignment_1_2_1");
					put(grammarAccess.getXFeatureCallAccess().getFeatureAssignment_2(), "rule__XFeatureCall__FeatureAssignment_2");
					put(grammarAccess.getXFeatureCallAccess().getExplicitOperationCallAssignment_3_0(), "rule__XFeatureCall__ExplicitOperationCallAssignment_3_0");
					put(grammarAccess.getXFeatureCallAccess().getFeatureCallArgumentsAssignment_3_1_0(), "rule__XFeatureCall__FeatureCallArgumentsAssignment_3_1_0");
					put(grammarAccess.getXFeatureCallAccess().getFeatureCallArgumentsAssignment_3_1_1_0(), "rule__XFeatureCall__FeatureCallArgumentsAssignment_3_1_1_0");
					put(grammarAccess.getXFeatureCallAccess().getFeatureCallArgumentsAssignment_3_1_1_1_1(), "rule__XFeatureCall__FeatureCallArgumentsAssignment_3_1_1_1_1");
					put(grammarAccess.getXFeatureCallAccess().getFeatureCallArgumentsAssignment_4(), "rule__XFeatureCall__FeatureCallArgumentsAssignment_4");
					put(grammarAccess.getXConstructorCallAccess().getConstructorAssignment_2(), "rule__XConstructorCall__ConstructorAssignment_2");
					put(grammarAccess.getXConstructorCallAccess().getTypeArgumentsAssignment_3_1(), "rule__XConstructorCall__TypeArgumentsAssignment_3_1");
					put(grammarAccess.getXConstructorCallAccess().getTypeArgumentsAssignment_3_2_1(), "rule__XConstructorCall__TypeArgumentsAssignment_3_2_1");
					put(grammarAccess.getXConstructorCallAccess().getExplicitConstructorCallAssignment_4_0(), "rule__XConstructorCall__ExplicitConstructorCallAssignment_4_0");
					put(grammarAccess.getXConstructorCallAccess().getArgumentsAssignment_4_1_0(), "rule__XConstructorCall__ArgumentsAssignment_4_1_0");
					put(grammarAccess.getXConstructorCallAccess().getArgumentsAssignment_4_1_1_0(), "rule__XConstructorCall__ArgumentsAssignment_4_1_1_0");
					put(grammarAccess.getXConstructorCallAccess().getArgumentsAssignment_4_1_1_1_1(), "rule__XConstructorCall__ArgumentsAssignment_4_1_1_1_1");
					put(grammarAccess.getXConstructorCallAccess().getArgumentsAssignment_5(), "rule__XConstructorCall__ArgumentsAssignment_5");
					put(grammarAccess.getXBooleanLiteralAccess().getIsTrueAssignment_1_1(), "rule__XBooleanLiteral__IsTrueAssignment_1_1");
					put(grammarAccess.getXNumberLiteralAccess().getValueAssignment_1(), "rule__XNumberLiteral__ValueAssignment_1");
					put(grammarAccess.getXStringLiteralAccess().getValueAssignment_1(), "rule__XStringLiteral__ValueAssignment_1");
					put(grammarAccess.getXTypeLiteralAccess().getTypeAssignment_3(), "rule__XTypeLiteral__TypeAssignment_3");
					put(grammarAccess.getXTypeLiteralAccess().getArrayDimensionsAssignment_4(), "rule__XTypeLiteral__ArrayDimensionsAssignment_4");
					put(grammarAccess.getXThrowExpressionAccess().getExpressionAssignment_2(), "rule__XThrowExpression__ExpressionAssignment_2");
					put(grammarAccess.getXReturnExpressionAccess().getExpressionAssignment_2(), "rule__XReturnExpression__ExpressionAssignment_2");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getExpressionAssignment_2(), "rule__XTryCatchFinallyExpression__ExpressionAssignment_2");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getCatchClausesAssignment_3_0_0(), "rule__XTryCatchFinallyExpression__CatchClausesAssignment_3_0_0");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getFinallyExpressionAssignment_3_0_1_1(), "rule__XTryCatchFinallyExpression__FinallyExpressionAssignment_3_0_1_1");
					put(grammarAccess.getXTryCatchFinallyExpressionAccess().getFinallyExpressionAssignment_3_1_1(), "rule__XTryCatchFinallyExpression__FinallyExpressionAssignment_3_1_1");
					put(grammarAccess.getXSynchronizedExpressionAccess().getParamAssignment_1(), "rule__XSynchronizedExpression__ParamAssignment_1");
					put(grammarAccess.getXSynchronizedExpressionAccess().getExpressionAssignment_3(), "rule__XSynchronizedExpression__ExpressionAssignment_3");
					put(grammarAccess.getXCatchClauseAccess().getDeclaredParamAssignment_2(), "rule__XCatchClause__DeclaredParamAssignment_2");
					put(grammarAccess.getXCatchClauseAccess().getExpressionAssignment_4(), "rule__XCatchClause__ExpressionAssignment_4");
					put(grammarAccess.getXFunctionTypeRefAccess().getParamTypesAssignment_0_1_0(), "rule__XFunctionTypeRef__ParamTypesAssignment_0_1_0");
					put(grammarAccess.getXFunctionTypeRefAccess().getParamTypesAssignment_0_1_1_1(), "rule__XFunctionTypeRef__ParamTypesAssignment_0_1_1_1");
					put(grammarAccess.getXFunctionTypeRefAccess().getReturnTypeAssignment_2(), "rule__XFunctionTypeRef__ReturnTypeAssignment_2");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getTypeAssignment_0(), "rule__JvmParameterizedTypeReference__TypeAssignment_0");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getArgumentsAssignment_1_1(), "rule__JvmParameterizedTypeReference__ArgumentsAssignment_1_1");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getArgumentsAssignment_1_2_1(), "rule__JvmParameterizedTypeReference__ArgumentsAssignment_1_2_1");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getTypeAssignment_1_4_1(), "rule__JvmParameterizedTypeReference__TypeAssignment_1_4_1");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getArgumentsAssignment_1_4_2_1(), "rule__JvmParameterizedTypeReference__ArgumentsAssignment_1_4_2_1");
					put(grammarAccess.getJvmParameterizedTypeReferenceAccess().getArgumentsAssignment_1_4_2_2_1(), "rule__JvmParameterizedTypeReference__ArgumentsAssignment_1_4_2_2_1");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getConstraintsAssignment_2_0_0(), "rule__JvmWildcardTypeReference__ConstraintsAssignment_2_0_0");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getConstraintsAssignment_2_0_1(), "rule__JvmWildcardTypeReference__ConstraintsAssignment_2_0_1");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getConstraintsAssignment_2_1_0(), "rule__JvmWildcardTypeReference__ConstraintsAssignment_2_1_0");
					put(grammarAccess.getJvmWildcardTypeReferenceAccess().getConstraintsAssignment_2_1_1(), "rule__JvmWildcardTypeReference__ConstraintsAssignment_2_1_1");
					put(grammarAccess.getJvmUpperBoundAccess().getTypeReferenceAssignment_1(), "rule__JvmUpperBound__TypeReferenceAssignment_1");
					put(grammarAccess.getJvmUpperBoundAndedAccess().getTypeReferenceAssignment_1(), "rule__JvmUpperBoundAnded__TypeReferenceAssignment_1");
					put(grammarAccess.getJvmLowerBoundAccess().getTypeReferenceAssignment_1(), "rule__JvmLowerBound__TypeReferenceAssignment_1");
					put(grammarAccess.getJvmLowerBoundAndedAccess().getTypeReferenceAssignment_1(), "rule__JvmLowerBoundAnded__TypeReferenceAssignment_1");
					put(grammarAccess.getJvmTypeParameterAccess().getNameAssignment_0(), "rule__JvmTypeParameter__NameAssignment_0");
					put(grammarAccess.getJvmTypeParameterAccess().getConstraintsAssignment_1_0(), "rule__JvmTypeParameter__ConstraintsAssignment_1_0");
					put(grammarAccess.getJvmTypeParameterAccess().getConstraintsAssignment_1_1(), "rule__JvmTypeParameter__ConstraintsAssignment_1_1");
					put(grammarAccess.getXImportSectionAccess().getImportDeclarationsAssignment(), "rule__XImportSection__ImportDeclarationsAssignment");
					put(grammarAccess.getDtCAssertFalseAccess().getUnorderedGroup_2_1(), "rule__DtCAssertFalse__UnorderedGroup_2_1");
					put(grammarAccess.getDtCAssertTrueAccess().getUnorderedGroup_2_1(), "rule__DtCAssertTrue__UnorderedGroup_2_1");
					put(grammarAccess.getDtCDecimalMaxAccess().getUnorderedGroup_4_1(), "rule__DtCDecimalMax__UnorderedGroup_4_1");
					put(grammarAccess.getDtCDecimalMinAccess().getUnorderedGroup_4_1(), "rule__DtCDecimalMin__UnorderedGroup_4_1");
					put(grammarAccess.getDtCDigitsAccess().getUnorderedGroup_6_1(), "rule__DtCDigits__UnorderedGroup_6_1");
					put(grammarAccess.getDtCFutureAccess().getUnorderedGroup_2_1(), "rule__DtCFuture__UnorderedGroup_2_1");
					put(grammarAccess.getDtCPastAccess().getUnorderedGroup_2_1(), "rule__DtCPast__UnorderedGroup_2_1");
					put(grammarAccess.getDtCNumericMaxAccess().getUnorderedGroup_4_1(), "rule__DtCNumericMax__UnorderedGroup_4_1");
					put(grammarAccess.getDtCNumericMinAccess().getUnorderedGroup_4_1(), "rule__DtCNumericMin__UnorderedGroup_4_1");
					put(grammarAccess.getDtCNotNullAccess().getUnorderedGroup_2_1(), "rule__DtCNotNull__UnorderedGroup_2_1");
					put(grammarAccess.getDtCNullAccess().getUnorderedGroup_2_1(), "rule__DtCNull__UnorderedGroup_2_1");
					put(grammarAccess.getDtCRegExAccess().getUnorderedGroup_4_1(), "rule__DtCRegEx__UnorderedGroup_4_1");
					put(grammarAccess.getDtCSizeAccess().getUnorderedGroup_6_1(), "rule__DtCSize__UnorderedGroup_6_1");
					put(grammarAccess.getModifierAccess().getUnorderedGroup(), "rule__Modifier__UnorderedGroup");
				}
			};
		}
		return nameMappings.get(element);
	}
			
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}

	public ServicesGrammarGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(ServicesGrammarGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
